Get Contact by Company Id
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| company_id | string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "372bb3e9-9267-473c-96a0-17a553ad127f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "a6cb7613-8084-494b-9c1f-7d8cc3d8fd84",
"company_code": "sample string 5",
"company": {
"id": "d6567652-4d06-4333-ad61-481b3d048ac6",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-07T10:50:47.8296412+00:00",
"sales_territory_id": "60887806-8092-4c35-a2d1-b94185225e2c",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "da92df6a-3c95-43a0-9cce-e656f6619082",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "eb8e2690-cdc1-45e5-8c5e-1a445b8384cc",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "052dffd1-e36a-4995-812c-5a7406b01722",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "51322cf5-17d7-477c-96fd-5dba30619db4",
"db_currency_id": "2865fbc7-505b-4bfb-a5c2-594c5bde2725",
"db_language_id": "066cca72-b3bf-44aa-a835-0e6b788bc224",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T10:50:47.8296412+00:00"
},
"modified_dateutc": "2026-11-07T10:50:47.8296412+00:00"
},
"marketing_segment_id": "defd9ef2-2d76-430e-848d-3c0e62c8a6bb",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "08d64e50-2399-4af1-9c60-efe7607773cb",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "c9beba8c-e59d-4696-9cfe-5bfdaf284a96",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "7f5c068e-5c3b-49a0-8f8e-5e0ac02d3e67",
"db_country_code": "sample string 28",
"feelist_id": "66177234-b893-4cef-b665-e54e13df87fc",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "7b96bc9f-b3bd-4065-9bc1-baf26e7b5a9e",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "e51c2797-5292-4b87-9be6-728387446705",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-07T10:50:47.8296412+00:00",
"db_currency_id": "ee8dba8c-b182-423f-94b2-7f674b19631f",
"db_currency_code": "sample string 10"
},
"company_type_id": "b6d352eb-e1d5-4e07-97ff-617f611932fe",
"company_type_name": "sample string 32",
"company_type": {
"id": "d9ea7004-edc2-4faf-bd30-ab3e313174fe",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "5febacde-a299-4f9d-bc00-4eec91222436",
"sales_organization_code": "sample string 5"
},
"db_language_id": "732d4341-f023-4a96-b900-d0ec42239065",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "e652bc2f-09d5-4415-bcf9-602655affacd",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "e8bb66c7-cc60-4a70-8673-6a493cde204c",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "1c84a4fd-318c-400d-8a9a-dd3346379a22",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-07T10:50:47.8296412+00:00"
},
"company_sector_id": "1f03632a-3a2d-4f7b-a0de-4980d87bf09c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "afab4cb8-624a-4e23-99b2-5e4b372758e3",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "9b2f448c-bd83-4dd6-9a1d-480c54bb3131",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "dbeb1fd0-03f1-4601-8176-bb70b818c932",
"account_manager_user_code": "sample string 56",
"company_status_id": "cdabf783-aeb5-4bcc-920d-6bd6150da282",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-07T10:50:47.8296412+00:00",
"id2": 60
},
"db_language_id": "74b70577-11a5-4f74-9d92-cf762e8af393",
"db_language_code": "sample string 7",
"db_title_id": "c84d78bb-f4c0-4dd7-a641-7da86482a5fb",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-07T10:50:47.8296412+00:00",
"create_date": "2026-11-07T10:50:47.8296412+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-07T10:50:47.8296412+00:00"
}